Skip to content
Browse files

[^] Migrate to Bunlder

  • Loading branch information...
1 parent 5d4d0cf commit b1a81ebb7f99b994cdf38cc1b08fc315130b2f59 @romanvbabenko romanvbabenko committed Mar 16, 2011
Showing with 129 additions and 94 deletions.
  1. +6 −2 CHANGELOG
  2. +12 −0 Gemfile
  3. +83 −0 Gemfile.lock
  4. +4 −32 Rakefile
  5. +3 −0 lib/rails-footnotes/version.rb
  6. +21 −60 rails-footnotes.gemspec
  7. 0 test/footnotes_test.rb
  8. 0 test/test_helper.rb
View
8 CHANGELOG 100755 → 100644
@@ -1,3 +1,7 @@
+== Footnotes v3.7.0
+ * Migrate to Bundler
+ * Support only Rails3
+
== Footnotes v3.6.7
* fixed log_note error - long overdue (thanks to many including Moritz Heidkamp)
* 1.9: ignore more assigns (thanks to justin case)
@@ -14,7 +18,7 @@
* pre rails 2.3 support fixes (thanks to tobias)
* better disabling of query notes (thanks to tobias)
* fixed variable assignment escaping (thanks to gdelvino)
- * fixed cookie value escaping (thanks to indirect)
+ * fixed cookie value escaping (thanks to indirect)
* Turn off footnotes with a parameter footnotes=false (thanks to indirect)
== Footnotes v3.6
@@ -50,7 +54,7 @@
== Footnotes v3.2.1
* Added some tests;
* Redefined Footnotes CSS and Javascripts to use concise names.
-
+
== Footnotes v3.2
* Now you can easily add your own notes;
* Added numbers to tabs;
View
12 Gemfile
@@ -0,0 +1,12 @@
+source "http://rubygems.org"
+
+# Specify your gem's dependencies in mcutter.gemspec
+gemspec
+
+# gem "rails", ">= 3.0.5"
+#
+if RUBY_PLATFORM =~ /darwin/
+ group :test do
+ gem "autotest-growl"
+ end
+end
View
83 Gemfile.lock
@@ -0,0 +1,83 @@
+PATH
+ remote: .
+ specs:
+ rails-footnotes (3.6.7)
+
+GEM
+ remote: http://rubygems.org/
+ specs:
+ abstract (1.0.0)
+ actionmailer (3.0.5)
+ actionpack (= 3.0.5)
+ mail (~> 2.2.15)
+ actionpack (3.0.5)
+ activemodel (= 3.0.5)
+ activesupport (= 3.0.5)
+ builder (~> 2.1.2)
+ erubis (~> 2.6.6)
+ i18n (~> 0.4)
+ rack (~> 1.2.1)
+ rack-mount (~> 0.6.13)
+ rack-test (~> 0.5.7)
+ tzinfo (~> 0.3.23)
+ activemodel (3.0.5)
+ activesupport (= 3.0.5)
+ builder (~> 2.1.2)
+ i18n (~> 0.4)
+ activerecord (3.0.5)
+ activemodel (= 3.0.5)
+ activesupport (= 3.0.5)
+ arel (~> 2.0.2)
+ tzinfo (~> 0.3.23)
+ activeresource (3.0.5)
+ activemodel (= 3.0.5)
+ activesupport (= 3.0.5)
+ activesupport (3.0.5)
+ arel (2.0.9)
+ autotest-growl (0.2.9)
+ builder (2.1.2)
+ erubis (2.6.6)
+ abstract (>= 1.0.0)
+ i18n (0.5.0)
+ mail (2.2.15)
+ activesupport (>= 2.3.6)
+ i18n (>= 0.4.0)
+ mime-types (~> 1.16)
+ treetop (~> 1.4.8)
+ mime-types (1.16)
+ mocha (0.9.12)
+ polyglot (0.3.1)
+ rack (1.2.2)
+ rack-mount (0.6.13)
+ rack (>= 1.0.0)
+ rack-test (0.5.7)
+ rack (>= 1.0)
+ rails (3.0.5)
+ actionmailer (= 3.0.5)
+ actionpack (= 3.0.5)
+ activerecord (= 3.0.5)
+ activeresource (= 3.0.5)
+ activesupport (= 3.0.5)
+ bundler (~> 1.0)
+ railties (= 3.0.5)
+ railties (3.0.5)
+ actionpack (= 3.0.5)
+ activesupport (= 3.0.5)
+ rake (>= 0.8.7)
+ thor (~> 0.14.4)
+ rake (0.8.7)
+ redgreen (1.2.2)
+ thor (0.14.6)
+ treetop (1.4.9)
+ polyglot (>= 0.3.1)
+ tzinfo (0.3.25)
+
+PLATFORMS
+ ruby
+
+DEPENDENCIES
+ autotest-growl
+ mocha
+ rails (>= 3.0.5)
+ rails-footnotes!
+ redgreen
View
36 Rakefile
@@ -1,25 +1,10 @@
-require 'rake'
+require 'bundler'
+Bundler::GemHelper.install_tasks
require 'rake/testtask'
require 'rake/rdoctask'
-begin
- require 'jeweler'
- Jeweler::Tasks.new do |s|
- s.name = "rails-footnotes"
- s.version = "3.6.7"
- s.rubyforge_project = "rails-footnotes"
- s.summary = "Every Rails page has footnotes that gives information about your application and links back to your editor."
- s.email = "keenan@thebrocks.net"
- s.homepage = "http://github.com/josevalim/rails-footnotes"
- s.description = "Every Rails page has footnotes that gives information about your application and links back to your editor."
- s.authors = ['Keenan Brock']
- s.files = FileList["[A-Z]*", "{lib}/**/*"]
- end
-
- Jeweler::GemcutterTasks.new
-rescue LoadError
- puts "Jeweler, or one of its dependencies, is not available. Install it with: gem install jeweler"
-end
+desc 'Default: run tests'
+task :default => :test
desc 'Run tests for Footnotes.'
Rake::TestTask.new(:test) do |t|
@@ -28,8 +13,6 @@ Rake::TestTask.new(:test) do |t|
t.verbose = true
end
-task :default => :test
-
desc 'Generate documentation for Footnotes.'
Rake::RDocTask.new(:rdoc) do |rdoc|
rdoc.rdoc_dir = 'rdoc'
@@ -39,14 +22,3 @@ Rake::RDocTask.new(:rdoc) do |rdoc|
rdoc.rdoc_files.include('MIT-LICENSE')
rdoc.rdoc_files.include('lib/**/*.rb')
end
-
-begin
- require 'metric_fu'
- MetricFu::Configuration.run do |config|
- #skipping: churn, :stats
- config.metrics = [:saikuro, :flog, :flay, :reek, :roodi, :rcov]
- # config.graphs = [:flog, :flay, :reek, :roodi, :rcov]
- config.rcov[:rcov_opts] << "-Itest"
- end
-rescue LoadError
-end
View
3 lib/rails-footnotes/version.rb
@@ -0,0 +1,3 @@
+module Footnotes
+ VERSION = "3.6.7"
+end
View
81 rails-footnotes.gemspec
@@ -1,68 +1,29 @@
-# Generated by jeweler
-# DO NOT EDIT THIS FILE DIRECTLY
-# Instead, edit Jeweler::Tasks in Rakefile, and run the gemspec command
# -*- encoding: utf-8 -*-
+$:.push File.expand_path("../lib", __FILE__)
+require "rails-footnotes/version"
Gem::Specification.new do |s|
- s.name = %q{rails-footnotes}
- s.version = "3.6.7"
-
- s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
- s.authors = ["Keenan Brock"]
- s.date = %q{2010-11-07}
+ s.name = "rails-footnotes"
+ s.version = Footnotes::VERSION
+ s.platform = Gem::Platform::RUBY
+ s.authors = ["Keenan Brock"]
+ s.email = ["keenan@thebrocks.net"]
+ s.homepage = "http://github.com/josevalim/rails-footnotes"
+ s.summary = %q{Every Rails page has footnotes that gives information about your application and links back to your editor.}
s.description = %q{Every Rails page has footnotes that gives information about your application and links back to your editor.}
- s.email = %q{keenan@thebrocks.net}
- s.extra_rdoc_files = [
- "README"
- ]
- s.files = [
- "CHANGELOG",
- "MIT-LICENSE",
- "README",
- "Rakefile",
- "lib/rails-footnotes.rb",
- "lib/rails-footnotes/backtracer.rb",
- "lib/rails-footnotes/footnotes.rb",
- "lib/rails-footnotes/notes/abstract_note.rb",
- "lib/rails-footnotes/notes/assigns_note.rb",
- "lib/rails-footnotes/notes/controller_note.rb",
- "lib/rails-footnotes/notes/cookies_note.rb",
- "lib/rails-footnotes/notes/env_note.rb",
- "lib/rails-footnotes/notes/files_note.rb",
- "lib/rails-footnotes/notes/filters_note.rb",
- "lib/rails-footnotes/notes/general_note.rb",
- "lib/rails-footnotes/notes/javascripts_note.rb",
- "lib/rails-footnotes/notes/layout_note.rb",
- "lib/rails-footnotes/notes/log_note.rb",
- "lib/rails-footnotes/notes/params_note.rb",
- "lib/rails-footnotes/notes/partials_note.rb",
- "lib/rails-footnotes/notes/queries_note.rb",
- "lib/rails-footnotes/notes/routes_note.rb",
- "lib/rails-footnotes/notes/rpm_note.rb",
- "lib/rails-footnotes/notes/session_note.rb",
- "lib/rails-footnotes/notes/stylesheets_note.rb",
- "lib/rails-footnotes/notes/view_note.rb"
- ]
- s.homepage = %q{http://github.com/josevalim/rails-footnotes}
- s.rdoc_options = ["--charset=UTF-8"]
- s.require_paths = ["lib"]
- s.rubyforge_project = %q{rails-footnotes}
- s.rubygems_version = %q{1.3.7}
- s.summary = %q{Every Rails page has footnotes that gives information about your application and links back to your editor.}
- s.test_files = [
- "test/footnotes_test.rb",
- "test/notes/abstract_note_test.rb",
- "test/test_helper.rb"
- ]
- if s.respond_to? :specification_version then
- current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
- s.specification_version = 3
+ s.rubyforge_project = "rails-footnotes"
+
+ s.add_dependency "rails", ">= 3.0.0"
- if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
- else
- end
- else
- end
+ s.add_development_dependency "autotest"
+ s.add_development_dependency "redgreen"
+ s.add_development_dependency "mocha"
+ s.add_development_dependency "rails", ">= 3.0.0"
+
+ s.files = `git ls-files`.split("\n")
+ s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
+ s.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
+ s.require_paths = ["lib"]
end
View
0 test/footnotes_test.rb 100755 → 100644
File mode changed.
View
0 test/test_helper.rb 100755 → 100644
File mode changed.

0 comments on commit b1a81eb

Please sign in to comment.
Something went wrong with that request. Please try again.